Bug 377851 - Occasional failure to detect built-in ethernet on Qosmio F20
Occasional failure to detect built-in ethernet on Qosmio F20
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 09:56 EST by Peter H. Jones
Modified: 2009-01-09 00:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:10:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg showing failure of network detection at boot (23.18 KB, text/plain)
2007-11-12 09:56 EST, Peter H. Jones
no flags Details
dmesg of successful boot (22.93 KB, text/plain)
2007-11-12 09:58 EST, Peter H. Jones
no flags Details
diff -C0 of dmesg listings (4.69 KB, text/plain)
2007-11-12 10:00 EST, Peter H. Jones
no flags Details

  None (edit)
Description Peter H. Jones 2007-11-12 09:56:52 EST
Description of problem:


Version-Release number of selected component (if applicable):
kernel-2.6.23.1-49.fc8

How reproducible:
Occasionally.

Steps to Reproduce:
1. Boot system.
  
Actual results:
Ethernet not detected, networking doesn't work.

Expected results:
Networking is configured, and should work.

Additional info:
My Wi-Fi is disabled on purpose.

My bugs #280781, #285281 and maybe #290211 (someone eles's) are still present,
and may be related.
 
Will attach dmesg of failing boot, and of succeeding boot immediately
afterwards, and a diff -C0 of the two.

Significant hunks of the diff -C0 listing are:

==========================================================================
*** dmnoeth     2007-11-12 09:10:04.000000000 -0500
--- dmethnorm   2007-11-12 09:12:55.000000000 -0500
...
***************
*** 232 ****
! ACPI: Thermal Zone [THRM] (26 C)
--- 232 ----
! ACPI: Thermal Zone [THRM] (74 C)
...
***************
*** 379,381 ****
! audit(1194876038.332:3): policy loaded auid=4294967295
! sd 0:0:0:0: Attached scsi generic sg0 type 0
! scsi 1:0:0:0: Attached scsi generic sg1 type 5
--- 379 ----
! audit(1194876654.342:3): policy loaded auid=4294967295
***************
*** 384 ****
--- 383,384 ----
+ sd 0:0:0:0: Attached scsi generic sg0 type 0
+ sr 1:0:0:0: Attached scsi generic sg1 type 5
***************
*** 395,396 ****
- ieee80211_crypt: registered algorithm 'NULL'
- intel_rng: FWH not detected
--- 394 ----
***************
*** 404 ****
! ACPI: Battery Slot [BAT1] (battery present)
--- 402 ----
! ieee80211_crypt: registered algorithm 'NULL'
***************
*** 407,414 ****
! sdhci: Secure Digital Host Controller Interface driver
! sdhci: Copyright(c) Pierre Ossman
! sdhci: SDHCI controller found at 0000:02:0b.4 [104c:8034] (rev 0)
! PCI: Enabling device 0000:02:0b.4 (0000 -> 0002)
! ACPI: PCI Interrupt 0000:02:0b.4[D] -> GSI 23 (level, low) -> IRQ 19
! mmc0: SDHCI at 0xcdf07800 irq 19 DMA
! mmc1: SDHCI at 0xcdf07900 irq 19 DMA
! mmc2: SDHCI at 0xcdf07a00 irq 19 DMA
--- 405,406 ----
! ACPI: Battery Slot [BAT1] (battery present)
! intel_rng: FWH not detected
***************
*** 417,418 ****
- ACPI: PCI Interrupt 0000:02:05.0[A] -> GSI 22 (level, low) -> IRQ 22
- ipw2200: Detected Intel PRO/Wireless 2915ABG Network Connection
--- 408 ----
***************
*** 421,422 ****
! ipw2200: Radio Frequency Kill Switch is On:
! Kill switch must be turned off for wireless networking to work.
--- 411,416 ----
! ACPI: PCI Interrupt 0000:02:08.0[A] -> GSI 20 (level, low) -> IRQ 18
! e100: eth0: e100_probe: addr 0xcdffe000, irq 18, MAC addr 00:0E:7B:55:22:9E
! ACPI: PCI Interrupt 0000:02:05.0[A] -> GSI 22 (level, low) -> IRQ 22
! ipw2200: Detected Intel PRO/Wireless 2915ABG Network Connection
! sdhci: Secure Digital Host Controller Interface driver
! sdhci: Copyright(c) Pierre Ossman
***************
*** 425 ****
! snd_seq_midi_event: Unknown symbol snd_seq_expand_var_event
--- 419,420 ----
! ipw2200: Radio Frequency Kill Switch is On:
! Kill switch must be turned off for wireless networking to work.
***************
*** 427,428 ****
- ACPI: PCI Interrupt 0000:02:08.0[A] -> GSI 20 (level, low) -> IRQ 18
- e100: eth1: e100_probe: addr 0xcdffe000, irq 18, MAC addr 00:0E:7B:55:22:9E
--- 421 ----
***************
*** 430 ****
--- 424,429 ----
+ sdhci: SDHCI controller found at 0000:02:0b.4 [104c:8034] (rev 0)
+ PCI: Enabling device 0000:02:0b.4 (0000 -> 0002)
+ ACPI: PCI Interrupt 0000:02:0b.4[D] -> GSI 23 (level, low) -> IRQ 19
+ mmc0: SDHCI at 0xcdf07800 irq 19 DMA
+ mmc1: SDHCI at 0xcdf07900 irq 19 DMA
+ mmc2: SDHCI at 0xcdf07a00 irq 19 DMA
***************
*** 433 ****
- net eth0_rename: device_rename: sysfs_create_symlink failed (-17)
--- 431 ----
***************
*** 435,438 ****
- net eth3: device_rename: sysfs_create_symlink failed (-17)
- udev: renamed network interface eth1 to eth3
- net eth1: device_rename: sysfs_create_symlink failed (-17)
- udev: renamed network interface eth0_rename to eth1
--- 432 ----
...
***************
*** 474 ****
! audit(1194876060.227:4): audit_pid=1695 old=0 by auid=4294967295
subj=system_u:system_r:auditd_t:s0
--- 468,469 ----
! e100: eth0: e100_watchdog: link up, 100Mbps, full-duplex
! audit(1194876676.579:4): audit_pid=1780 old=0 by auid=4294967295
subj=system_u:system_r:auditd_t:s0
***************
*** 484 ****
--- 480 ----
+ eth0: no IPv6 routers present
===========================================================
Comment 1 Peter H. Jones 2007-11-12 09:56:52 EST
Created attachment 255271 [details]
dmesg showing failure of network detection at boot
Comment 2 Peter H. Jones 2007-11-12 09:58:38 EST
Created attachment 255281 [details]
dmesg of successful boot
Comment 3 Peter H. Jones 2007-11-12 10:00:59 EST
Created attachment 255291 [details]
diff -C0 of dmesg listings
Comment 4 Chuck Ebbert 2007-11-12 15:52:46 EST
Somehow the devices are being renamed at boot. Make sure there is only one
device in /etc/sysconfig/networking/devices
Comment 5 Peter H. Jones 2007-11-12 17:41:12 EST
I think I have only one Ethernet device in that directory. Is that what you
mean? I'm also a bit surprised at the creation dates of the files, since I don't
remember reconfiguring these devices recently.

Here are the contents of the /etc/sysconfig/networking directory, using more *:

# pwd
/etc/sysconfig/networking/devices
# ls -l
total 24
-rw-r--r-- 3 root root 190 2007-11-12 09:08 ifcfg-eth0
-rw-r--r-- 1 root root 249 2007-11-12 09:08 ifcfg-eth1
-rw------- 1 root root   5 2007-11-12 09:08 keys-eth1
# more *
::::::::::::::
ifcfg-eth0
::::::::::::::
# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
TYPE=Ethernet
DEVICE=eth0
BOOTPROTO=dhcp
ONBOOT=yes
USERCTL=yes
IPV6INIT=no
PEERDNS=yes
::::::::::::::
ifcfg-eth1
::::::::::::::
# Intel Corporation PRO/Wireless 2915ABG Network Connection
DEVICE=eth1
ONBOOT=no
BOOTPROTO=dhcp
HWADDR=00:13:ce:9a:43:58
NETMASK=
DHCP_HOSTNAME=
IPADDR=
DOMAIN=
TYPE=Wireless
ESSID=
CHANNEL=1
MODE=Auto
RATE=Auto
USERCTL=yes
IPV6INIT=no
PEERDNS=yes
::::::::::::::
keys-eth1
::::::::::::::
KEY=

Next time my system fails, I'll check the contents of this directory again.
Comment 6 Peter H. Jones 2007-11-13 14:55:35 EST
System failed this morning. System files referred to above are unchanged.
Comment 7 Christopher Brown 2008-02-07 13:57:36 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I notice you're still having the same issue with your other bug and the latest
kernel has not resolved the problem. I would only add here what I have put there
- namely please test against 2.6.24 when you are able and update this bug. I was
tempted to merge the two but as the issues may still be unrelated thought better
of it.
Comment 8 Peter H. Jones 2008-03-14 21:06:56 EDT
It's difficult to test, as this failure is very rare. I no longer remember when
I last saw the bug. I would be willing to close in the next triage, unless I see
it again in the meantime. If so, I will file another report, as in comment #6.
Comment 9 Bug Zapper 2008-11-26 03:20:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 00:10:26 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.